# Generated from rails-bigint-pk-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rails-bigint-pk

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: Easily use 64-bit primary keys in rails
License: MIT
URL: https://github.com/caboteria/rails-bigint-pk
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(rspec) >= 2.14
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(travis-lint) >= 1.7
# BuildRequires: rubygem(travis-lint) < 2
# BuildRequires: rubygem(rails) >= 4.1
# BuildRequires: rubygem(rails) < 5
# BuildRequires: rubygem(mysql2) >= 0.3
# BuildRequires: rubygem(mysql2) < 1
# BuildRequires: rubygem(mysql) >= 2.8
# BuildRequires: rubygem(mysql) < 3
# BuildRequires: rubygem(pg) >= 0.11
# BuildRequires: rubygem(pg) < 1
# BuildRequires: rubygem(sqlite3) >= 1.3
# BuildRequires: rubygem(sqlite3) < 2
# BuildRequires: rubygem(guard) >= 2.5
# BuildRequires: rubygem(guard) < 3
# BuildRequires: rubygem(guard-rspec) >= 4.2
# BuildRequires: rubygem(guard-rspec) < 5
# BuildRequires: rubygem(guard-bundler) >= 2.0
# BuildRequires: rubygem(guard-bundler) < 3
# BuildRequires: rubygem(guard-ctags-bundler) >= 1.0
# BuildRequires: rubygem(guard-ctags-bundler) < 2
# BuildRequires: rubygem(rb-fsevent) >= 0.9
# BuildRequires: rubygem(rb-fsevent) < 1
BuildArch: noarch

%description
Rails-bigint-pk modifies Rails so that it uses
64-bit primary and foreign keys.  It works with
MySQL and PostgreSQL and has versions for Rails
3 and 4.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/.vim
%exclude %{gem_instdir}/.vimrc
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/Changelog
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/Readme.md
%{gem_instdir}/rails-bigint-pk.gemspec
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 1.2.0-1
- Initial package
